evolve.Galgo {galgo} | R Documentation

## Evolves the chromosomes populations of a Galgo (Genetic Algorithm)

### Description

A generation consist of the evaluation of the fitness function to all chomosome populations and the determination of the maximum and best chromosomes. If a stoping rule has not been met, `progeny` is called to generate an “evolved” population and the process start again. The stoping rules are `maxGenerations` has been met, `goalFitness` has been reach or user-cancelled via `callBackFunc`. As any other program in R the process can be broken using `Ctrl-C` keys (`Esc` in Windows). Theoretically, if the process is cancelled via `Ctrl-C`, the process may be continued calling `evolve` method again; however it is never recommended.

### Usage

    ## S3 method for class 'Galgo'
    evolve(.O, parent=.O, ...)

### Arguments

`parent` | The original object calling for the evaluation. This is passed to the fitness function in order to evaluate the function inside a context. Commonly it is a `BigBang` object.

### Value

Returns nothing. The results are saved in the `Galgo` object.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `Galgo`.

### Examples

      wo <- World(niches=newRandomCollection(Niche(chromosomes=newRandomCollection(
      Chromosome(genes=newCollection(Gene(shape1=1, shape2=100),5)), 10),2),2))
      ga <- Galgo(populations=newRandomCollection(wo,1), goalFitness = 0.75,
                  callBackFunc=plot,
                  fitnessFunc=function(chr, parent) 5/sd(as.numeric(chr)))
      evolve(ga)
      best(ga)
      bestFitness(ga)

[Package galgo version 1.4 Index]